oracle.xml.xsql

## Class XSQLErrorWriter

- java.lang.Object
- - oracle.xml.xsql.XSQLErrorWriter

    public final class XSQLErrorWriter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XSQLErrorWriter(SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, java.lang.String y, SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, java.lang.String y, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String s, java.lang.Throwable e, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String s, XSQLPageRequest env)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `getXSQLVersionMessage(XSQLPageRequest env)`
`void` `print()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String s,
                           java.lang.Throwable e,
                           XSQLPageRequest env)

#### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String s,
                           XSQLPageRequest env)

#### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           java.lang.String y,
                           XSQLPageRequest env)

#### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           java.lang.String y,
                           SAXParseException s,
                           XSQLPageRequest env)

#### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           SAXParseException s,
                           XSQLPageRequest env)

#### XSQLErrorWriter

    public XSQLErrorWriter(SAXParseException s,
                           XSQLPageRequest env)

### Method Detail

#### print

    public void print()

#### getXSQLVersionMessage

    public static java.lang.String getXSQLVersionMessage(XSQLPageRequest env)

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.